libzypp 17.37.10

ztui::ctcdetail::ColumnIf< Tif_, Telse_ > Struct Template Reference

Remember either _if or _else function. More...

`#include <zypp-tui/Table.h>`

## Public Member Functions
| ColumnIf (bool condition_r, std::function< Tif_()> if_r, std::function< Telse_()> else_r)

## Public Attributes
std::function< Tif_()> | _if
std::function< Telse_()> | _else

## Detailed Description

template<class Tif_, class Telse_>
struct ztui::ctcdetail::ColumnIf< Tif_, Telse_ >

Remember either _if or _else function.

Definition at line 104 of file Table.h.

## Constructor & Destructor Documentation

## ◆ ColumnIf()

template<class Tif_, class Telse_>

ztui::ctcdetail::ColumnIf< Tif_, Telse_ >::ColumnIf | ( | bool | condition_r,
|  | std::function< Tif_()> | if_r,
|  | std::function< Telse_()> | else_r )
| inline

Definition at line 106 of file Table.h.

## Member Data Documentation

## ◆ _if

template<class Tif_, class Telse_>

std::function<Tif_()> ztui::ctcdetail::ColumnIf< Tif_, Telse_ >::_if

Definition at line 108 of file Table.h.

## ◆ _else

template<class Tif_, class Telse_>

std::function<Telse_()> ztui::ctcdetail::ColumnIf< Tif_, Telse_ >::_else

Definition at line 109 of file Table.h.

The documentation for this struct was generated from the following file:

- zypp-tui/Table.h